/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.applicationprocessor.processor;

import java.util.Properties;

import org.tinygroup.application.Application;
import org.tinygroup.application.ApplicationProcessor;
import org.tinygroup.logger.LogLevel;
import org.tinygroup.logger.Logger;
import org.tinygroup.logger.LoggerFactory;
import org.tinygroup.xmlparser.node.XmlNode;

/**
 * 加载处理器，并执行加载
 * 
 * @author luoguo
 * 
 */
public class PrintSystemPropertiesProcessor implements ApplicationProcessor {
	private static Logger logger = LoggerFactory
			.getLogger(PrintSystemPropertiesProcessor.class);
	private Application application;

	public void setConfiguration(XmlNode zhaoleiNode) {
	}

	public void start() {
		Properties properties = System.getProperties();
		logger.logMessage(LogLevel.INFO, "系统属性开始：");
		for (Object key : properties.keySet()) {
			logger.logMessage(LogLevel.INFO, "{}={}", key, properties.get(key));
		}
		logger.logMessage(LogLevel.INFO, "系统属性结束。");
	}

	public void stop() {

	}

	public String getNodeName() {
		return null;
	}

	public XmlNode getConfiguration() {
		return null;
	}

	public void setApplication(Application application) {
		this.application = application;

	}
}
