/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.applicationprocessor.processor;

import org.tinygroup.application.Application;
import org.tinygroup.application.ApplicationProcessor;
import org.tinygroup.applicationprocessor.configmanager.TinyProcessorConfigManager;
import org.tinygroup.springutil.SpringUtil;
import org.tinygroup.xmlparser.node.XmlNode;

public class TinyApplicationProcessor implements ApplicationProcessor {
	
	private static final String TINY_PROCESSOR_NODE_NAME="tiny-processors";
	
	private XmlNode tinyProcessorNode;

	private Application application;
	
	private TinyProcessorConfigManager configManger;

	public String getNodeName() {
		return TINY_PROCESSOR_NODE_NAME;
	}

	public void setConfiguration(XmlNode xmlNode) {
		this.tinyProcessorNode=xmlNode;

	}

	public XmlNode getConfiguration() {
		return tinyProcessorNode;
	}

	public void start() {
		
		if(configManger==null){
			configManger=SpringUtil.getBean(TinyProcessorConfigManager.TINY_PROCESSOR_CONFIGMANAGER);
		}
		configManger.setApplicationConfig(tinyProcessorNode);
	}

	public void stop() {

	}

	public void setApplication(Application application) {
		this.application=application;

	}

	public TinyProcessorConfigManager getConfigManger() {
		return configManger;
	}

	public void setConfigManger(TinyProcessorConfigManager configManger) {
		this.configManger = configManger;
	}
	
	

}
